Main Page | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# VrmlConverter_TypeOfCamera.hxx File Reference

`#include <Standard_PrimitiveTypes.hxx>`

## Enumerations
enum | VrmlConverter_TypeOfCamera { VrmlConverter_NoCamera, VrmlConverter_PerspectiveCamera, VrmlConverter_OrthographicCamera }
| defines the projection parameters for the hidden lines removal algorithm and calculates properties of cameras and lights from Vrml ( OrthograpicCamera, PerspectiveCamera, DirectionalLight, PointLight, SpotLight ) to display all shapes of scene with arbitrary locations for requested the Projection Vector . More...

## Enumeration Type Documentation

enum VrmlConverter_TypeOfCamera

  | Enumeration values:
  VrmlConverter_NoCamera |
  VrmlConverter_PerspectiveCamera |
  VrmlConverter_OrthographicCamera |